//#####################################################################
// Copyright 2004-2007, Ronald Fedkiw, Geoffrey Irving, Tamar Shinar, Eftychios Sifakis, Jerry Talton.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Arrays/ARRAY.h>
#include <Core/Vectors/VECTOR.h>
namespace PhysBAM{
#define COMMA ,
COMMON_ARRAY_VECTOR(bool,int,);
COMMON_ARRAY_VECTOR(int,int,);
COMMON_ARRAY_VECTOR(float,int,);
COMMON_ARRAY_VECTOR(double,int,);
COMMON_ARRAY(std::string,int,);
COMMON_ARRAY(ARRAY<bool>,int,);
COMMON_ARRAY(ARRAY<int>,int,);
COMMON_ARRAY(ARRAY<float>,int,);
COMMON_ARRAY(ARRAY<double>,int,);
#undef COMMA
}
